This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 561185 - DeviceKit misidentifies LG Vu CU920 phone as Qualcomm device.
DeviceKit misidentifies LG Vu CU920 phone as Qualcomm device.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-02 18:40 EST by Vietchia
Modified: 2010-12-03 18:25 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 18:25:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Messages from udevadm control --log-priority=debug (2.69 MB, text/plain)
2010-02-03 14:52 EST, Vietchia
no flags Details

  None (edit)
Description Vietchia 2010-02-02 18:40:53 EST
Description of problem: Via lsusb phone can be either identified as ID o5c6:1000 Qualcomm or ID 1004:6000 LG Electronics when hot plugging. Mostly as the Qualcomm device.


Version-Release number of selected component (if applicable):DeviceKit-disks-devel-009-3.fc12 (x86_64)


How reproducible: Every time.


Steps to Reproduce:
1.Set phone as USB device.
2.Plug USB cable in.
3.
  
Actual results: Cannot access USB files on phone. Palimpsest does not list the device.


Expected results: Access USB files.


Additional info:If computer is started with phone connected, bootup hangs. Looks like gdm never starts or fails.
Comment 1 Harald Hoyer 2010-02-03 12:00:56 EST
and why is this a udev problem?
Comment 2 Harald Hoyer 2010-02-03 12:03:10 EST
can you run 
# udevadm control --log-priority=debug

and then plug in the phone and attach the udev messages in /var/log/messages
Comment 3 Bill Nottingham 2010-02-03 13:55:10 EST
Might be udev, might be kernel, not sure. But it's not DeviceKit, as that's dead.
Comment 4 Vietchia 2010-02-03 14:52:03 EST
Created attachment 388617 [details]
Messages from udevadm control --log-priority=debug
Comment 5 Vietchia 2010-02-03 15:00:58 EST
I filed this bug against DeviceKit because the phone worked fine in F10. After I upgraded to F12, no phone. No joy from the forums, so I assumed that udev was missing a rule. So I decided to write my own. While researching how to do that I learned about DeviceKit. Aha! No DeviceKit in F10. DeviceKit is in F12. So I figured DeviceKit must be the chigger in the woodpile. 
If I'm wrong, then my apologies to the fine gentleman working on DeviceKit!
Comment 6 Harald Hoyer 2010-02-04 04:38:18 EST
udev does:

/sbin/modprobe -b usb:v05C6p1000d0000dc00dsc00dp00ic08isc06ip50
modem-modeswitch -v 0x05c6 -p 0x1000 -t option-zerocd

you could try to comment out the modeswitch command in 
/lib/udev/rules.d/61-option-modem-modeswitch.rules
Comment 7 Harald Hoyer 2010-02-04 04:40:17 EST
you might also want to play with usb_modeswitch
Comment 8 Vietchia 2010-02-04 12:33:12 EST
I commented that line in /lib/udev/rules.d/61-option-modem-modeswitch.rules and that seems to have done the trick while hotplugging. Icon comes up on the desktop and Palimpsest can see the drive.
Still have the problem of boot hanging while the phone is connected at start-up but I can live with that. Thanks!
Comment 9 Dan Williams 2010-05-04 15:20:42 EDT
The problem here is that this USB ID is *also* the USB ID of a popular Option NV 3G modem (the iCON 7.2) before the modem is modeswitched.  So even if you move to usb_modeswitch, you'll still have the problem where the LG phone is modeswitched by usb_modeswitch most likely.

Qualcomm makes the chipset that's in both the LG phone and the Option NV modem, and apparently both vendors didnt' bother to change the USB ID before the modeswitch occurs.  So we have two hugely different devices with the same pre-switch USB ID.
Comment 10 Bug Zapper 2010-11-03 19:13:30 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2010-12-03 18:25:09 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.